<html>
<head>
<title>OGRE: Ogre::UnifiedHighLevelGpuProgramFactory Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgramFactory.html">UnifiedHighLevelGpuProgramFactory</a></div>
<h1>Ogre::UnifiedHighLevelGpuProgramFactory Class Reference</h1><!-- doxytag: class="Ogre::UnifiedHighLevelGpuProgramFactory" --><!-- doxytag: inherits="Ogre::HighLevelGpuProgramFactory" -->Factory class for Unified programs.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreUnifiedHighLevelGpuProgram_8h-source.html">OgreUnifiedHighLevelGpuProgram.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::UnifiedHighLevelGpuProgramFactory:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1UnifiedHighLevelGpuProgramFactory-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgramFactory.html#cca4706f7fc63cb7db6892f4571af5dc">UnifiedHighLevelGpuProgramFactory</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgramFactory.html#4bcd1224c7aebfd90b777337ef3b6a43">~UnifiedHighLevelGpuProgramFactory</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgramFactory.html#3e96efa421a2c76c101a9ed4fcc64c25">getLanguage</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the name of the language this factory creates programs for.  <a href="#3e96efa421a2c76c101a9ed4fcc64c25"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">HighLevelGpuProgram</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgramFactory.html#1660f65a2992bb11ab8ca778d9db35a5">create</a> (<a class="el" href="classOgre_1_1ResourceManager.html">ResourceManager</a> *creator, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> handle, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;group, bool isManual, <a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *loader)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgramFactory.html#f82a2c2bac74d8bcc903db82160c5d7e">destroy</a> (<a class="el" href="classOgre_1_1HighLevelGpuProgram.html">HighLevelGpuProgram</a> *prog)</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Factory class for Unified programs. 
<p>

<p>Definition at line <a class="el" href="OgreUnifiedHighLevelGpuProgram_8h-source.html#l00152">152</a> of file <a class="el" href="OgreUnifiedHighLevelGpuProgram_8h-source.html">OgreUnifiedHighLevelGpuProgram.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="cca4706f7fc63cb7db6892f4571af5dc"></a><!-- doxytag: member="Ogre::UnifiedHighLevelGpuProgramFactory::UnifiedHighLevelGpuProgramFactory" ref="cca4706f7fc63cb7db6892f4571af5dc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::UnifiedHighLevelGpuProgramFactory::UnifiedHighLevelGpuProgramFactory           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="4bcd1224c7aebfd90b777337ef3b6a43"></a><!-- doxytag: member="Ogre::UnifiedHighLevelGpuProgramFactory::~UnifiedHighLevelGpuProgramFactory" ref="4bcd1224c7aebfd90b777337ef3b6a43" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::UnifiedHighLevelGpuProgramFactory::~UnifiedHighLevelGpuProgramFactory           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="3e96efa421a2c76c101a9ed4fcc64c25"></a><!-- doxytag: member="Ogre::UnifiedHighLevelGpuProgramFactory::getLanguage" ref="3e96efa421a2c76c101a9ed4fcc64c25" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::UnifiedHighLevelGpuProgramFactory::getLanguage           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the name of the language this factory creates programs for. 
<p>

<p>Implements <a class="el" href="classOgre_1_1HighLevelGpuProgramFactory.html#c3faee2eabc0225e3d5f0d1fb7bca47f">Ogre::HighLevelGpuProgramFactory</a>.</p>

</div>
</div><p>
<a class="anchor" name="1660f65a2992bb11ab8ca778d9db35a5"></a><!-- doxytag: member="Ogre::UnifiedHighLevelGpuProgramFactory::create" ref="1660f65a2992bb11ab8ca778d9db35a5" args="(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual, ManualResourceLoader *loader)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">HighLevelGpuProgram</a>* Ogre::UnifiedHighLevelGpuProgramFactory::create           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ResourceManager.html">ResourceManager</a> *&nbsp;</td>
          <td class="paramname"> <em>creator</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a>&nbsp;</td>
          <td class="paramname"> <em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isManual</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *&nbsp;</td>
          <td class="paramname"> <em>loader</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1HighLevelGpuProgramFactory.html#bf88ca9ec682fc13dd2a076b81a093c4">Ogre::HighLevelGpuProgramFactory</a>.</p>

</div>
</div><p>
<a class="anchor" name="f82a2c2bac74d8bcc903db82160c5d7e"></a><!-- doxytag: member="Ogre::UnifiedHighLevelGpuProgramFactory::destroy" ref="f82a2c2bac74d8bcc903db82160c5d7e" args="(HighLevelGpuProgram *prog)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::UnifiedHighLevelGpuProgramFactory::destroy           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HighLevelGpuProgram.html">HighLevelGpuProgram</a> *&nbsp;</td>
          <td class="paramname"> <em>prog</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1HighLevelGpuProgramFactory.html#e88ae1bb894730872d5d6e04eebff437">Ogre::HighLevelGpuProgramFactory</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreUnifiedHighLevelGpuProgram_8h-source.html">OgreUnifiedHighLevelGpuProgram.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:02 2008
</p>
</body>
</html>
